points1_from_array1

compas_occ.conversions.points1_from_array1(array)

Construct a list of points from a one-dimensional point array.

Parameters:
arrayTColgp_Array1OfPnt
Returns:
list[Point]

Examples

>>> from compas_occ.conversions import points1_from_array1
>>> from OCC.Core.TColgp import TColgp_Array1OfPnt
>>> from OCC.Core.gp import gp_Pnt
>>> array1 = TColgp_Array1OfPnt(1, 3)
>>> array1.SetValue(1, gp_Pnt(0, 0, 0))
>>> array1.SetValue(2, gp_Pnt(1, 0, 0))
>>> array1.SetValue(3, gp_Pnt(2, 0, 0))
>>> points1 = points1_from_array1(array1)
>>> for point in points1:
...     print(point)
Point(x=0.0, y=0.0, z=0.0)
Point(x=1.0, y=0.0, z=0.0)
Point(x=2.0, y=0.0, z=0.0)